Death is life is death is life
Is death is life is

They're carvin' my name in the grave again
The flowers are fresh and their faces wet
My body has died, but I'm still alive
Look over your shoulder, I'm back from the dead
Lightin' all your candles to draw me in
Sayin' all the same things, I'm gone this time
Your words mean nothin', so take 'em back
And meet me here across the plane
The other side, I'm not far

When you aren't around, I sink into the ground
I try to pretend I'm closer to you
Never understand it
You're always on my mind, I cannot help it
I don't wanna be carryin' the weight on my shoulders
Death has come to me, kissed me on the cheek, gave me closure
Immortal by design
I'll be meetin' you here every time

Back from the dead, back from the dead
I'm back from the dead, back from the dead
I'm back from the dead, back from the dead
I'm back from the dead, back from the dead
I'm back from the dead (Death), back from the dead (Death)
I'm back from the dead (Death), back from the dead (Death)
I'm back from the dead (Death), back from the dead (Death)
I'm back from the dead (Death), back from the (I'm back)

(Death, death, death)
(Death, death)
(I'm back)

They're sayin' my name in their prayers again
I flicker the lights so they understand
I won't say goodbye, I'm right by your side
We're screamin' and pleadin', this separation ends
Doin' all your witchcraft to pull me in
Burnin' all your sage to connect our line
I show my presence, you run away in fear of ghosts
I try to talk, the barriers are too strong

When you aren't around, I sink into the ground
I try to pretend I'm closer to you
Never understand it
You're always on my mind, I cannot help it
I don't wanna be carryin' the weight on my shoulders
Death has come to me, kissed me on the cheek, gave me closure
Immortal by design
I'll be meetin' you here every time

Back from the dead, back from the dead
I'm back from the dead, back from the dead
I'm back from the dead, back from the dead
I'm back from the dead, back from the dead
I'm back from the dead (Death), back from the dead (Death)
I'm back from the dead (Death), back from the dead
I'm back from the dead (Death), back from the dead (Death)
I'm back from the dead (Death), back from the dead

Please don't ever worry
(Back from the dead, back from the dead)
(I'm back from the dead, back from the dead)
I know it's morbid
(I'm back from the dead, back from the dead)
But we all die one day
(I'm back from the dead, back from the dead)

I'm back from the dead, back from the dead
I'm back from the dead, back from the dead
I'm back from the dead, back from the dead
I'm back from the dead, back from the (I'm back)
..
